Bug 202959 - HVM serial console hangs in grub
HVM serial console hangs in grub
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Rostedt
Virtualization Bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 10:30 EDT by Rik van Riel
Modified: 2009-12-14 16:12 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-08-17 10:30:24 EDT
Description of problem:

Serial console inside an HVM domain works great from the kernel side.

However, the boot loader grub is unable to use the serial console.  The domain
will just sit there and eat CPU time, without making any progress after having
printed the first line.

Version-Release number of selected component (if applicable):

xen-3.0.2-23

How reproducible:

Set up the HVM guest OS to use serial console.

In /boot/grub/grub.conf:
serial --unit=1 --speed=115200
terminal --timeout=5 serial console

And for the guest OS:
kernel /vmlinuz-2.6.9-39.EL ro root=/dev/VolGroup00/LogVol00 console=tty0
console=ttyS0,115200

Expected results:

It would have been extremely useful to be able to get at the grub menu via
serial console.  I know some of our customers like manipulating all systems via
serial console and may not have VNC access to their servers, even their virtual
ones, so getting this issue fixed will matter to them.
Comment 3 Red Hat Bugzilla 2007-07-24 20:39:48 EDT
change QA contact
Comment 4 Steven Rostedt 2007-07-31 09:44:06 EDT
Just tried it with RHEL5.1, and the serial console for grub seems to work fine.
Comment 5 Steven Rostedt 2007-07-31 09:47:36 EDT
Oops, hit the wrong button.
Comment 10 errata-xmlrpc 2007-11-07 12:06:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html

Note You need to log in before you can comment on or make changes to this bug.